Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.security.utils.resolver
Class ResourceResolverException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.xml.security.exceptions.XMLSecurityException
                  org.apache.xml.security.utils.resolver.ResourceResolverException

All Implemented Interfaces:
  java.io.Serializable

    public class ResourceResolverException

extends XMLSecurityException

This Exception is thrown if something related to the `ResourceResolver` goes wrong.

Author:
  $Author: coheigea $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.xml.security.exceptions.XMLSecurityException
`msgID`

Constructor Summary
`ResourceResolverException(java.lang.String msgID, org.w3c.dom.Attr uri, java.lang.String baseURI)` Constructor ResourceResolverException
`ResourceResolverException(java.lang.String msgID, java.lang.Exception originalException, org.w3c.dom.Attr uri, java.lang.String baseURI)` Constructor ResourceResolverException
`ResourceResolverException(java.lang.String msgID, java.lang.Object[] exArgs, org.w3c.dom.Attr uri, java.lang.String baseURI)` Constructor ResourceResolverException
`ResourceResolverException(java.lang.String msgID, java.lang.Object[] exArgs, java.lang.Exception originalException, org.w3c.dom.Attr uri, java.lang.String baseURI)` Constructor ResourceResolverException

Method Summary
`java.lang.String` | `getbaseURI()`
`org.w3c.dom.Attr` | `getURI()`
`void` | `setbaseURI(java.lang.String baseURI)`
`void` | `setURI(org.w3c.dom.Attr uri)`

Methods inherited from class org.apache.xml.security.exceptions.XMLSecurityException
`getMsgID, getOriginalException, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResourceResolverException

    public ResourceResolverException(java.lang.String msgID,
                                     org.w3c.dom.Attr uri,
                                     java.lang.String baseURI)

  Constructor ResourceResolverException

  Parameters:
    `msgID` -
    `uri` -
    `baseURI` -

### ResourceResolverException

    public ResourceResolverException(java.lang.String msgID,
                                     java.lang.Object[] exArgs,
                                     org.w3c.dom.Attr uri,
                                     java.lang.String baseURI)

  Constructor ResourceResolverException

  Parameters:
    `msgID` -
    `exArgs` -
    `uri` -
    `baseURI` -

### ResourceResolverException

    public ResourceResolverException(java.lang.String msgID,
                                     java.lang.Exception originalException,
                                     org.w3c.dom.Attr uri,
                                     java.lang.String baseURI)

  Constructor ResourceResolverException

  Parameters:
    `msgID` -
    `originalException` -
    `uri` -
    `baseURI` -

### ResourceResolverException

    public ResourceResolverException(java.lang.String msgID,
                                     java.lang.Object[] exArgs,
                                     java.lang.Exception originalException,
                                     org.w3c.dom.Attr uri,
                                     java.lang.String baseURI)

  Constructor ResourceResolverException

  Parameters:
    `msgID` -
    `exArgs` -
    `originalException` -
    `uri` -
    `baseURI` -

Method Detail

### setURI

    public void setURI(org.w3c.dom.Attr uri)

  Parameters:
    `uri` -

### getURI

    public org.w3c.dom.Attr getURI()

  Returns:
    the uri

### setbaseURI

    public void setbaseURI(java.lang.String baseURI)

  Parameters:
    `baseURI` -

### getbaseURI

    public java.lang.String getbaseURI()

  Returns:
    the baseURI

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD